Arch Raccordo

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch PipeConnector and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский
Arrow-left.svg Arch Pipe.svg Tubo Pagina precedente:
Pagina successiva: Materiali Arch CompSetMaterial.png Arrow-right.svg

Arch PipeConnector.svg Raccordo

Posizione nel menu
Arch → Tubazioni → Raccordo
Ambiente
Arch
Avvio veloce
P C
Introdotto nella versione
-
Vedere anche
Tubo, Arredo


Descrizione

Questo strumento crea una connessione a angolo o un tee (raccordo) tra 2 o 3 Tubi selezionati .

Uso

  1. Selezionare 2 o 3 Tubi Arch. Se si selezionano 3 tubi, due di loro devono essere perfettamente allineati.
  2. Premere il pulsante Arch PipeConnector.svg Raccordo, o premere P e poi C.

Proprietà

  • DATIRadius: Il raggio di curvatura del raccordo

Flusso di lavoro tipico

Vedere in Tubo le informazioni per il flusso di lavoro sull'uso dei tubi e la creazione di raccordi.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Pipe Connector può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Connector = makePipeConnector(pipes, radius=0, name="Connector")
  • Crea un oggetto Connector dai pipes dati, che sono una lista di Tubi, e facoltativamente un radius di curvatura.
    • Gli oggetti di base Wire dei Tubi dovrebbero condividere un punto finale per creare un raccordo corretto e regolare.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(-1000, 0, 0)
p2 = FreeCAD.Vector(-2000, 0, 0)
p3 = FreeCAD.Vector(-2000, 0, 0)
p4 = FreeCAD.Vector(-2000, -1000, 0)
p5 = FreeCAD.Vector(-2000, -1000, 0)
p6 = FreeCAD.Vector(-4000, -1000, 0)
Line1 = Draft.makeWire([p1, p2])
Line2 = Draft.makeWire([p3, p4])
Line3 = Draft.makeWire([p5, p6])

Pipe1 = Arch.makePipe(Line1, 150)
Pipe2 = Arch.makePipe(Line2, 150)
Pipe3 = Arch.makePipe(Line3, 150)
FreeCAD.ActiveDocument.recompute()

Conn = Arch.makePipeConnector([Pipe1, Pipe2])
Conn2 = Arch.makePipeConnector([Pipe2, Pipe3])
FreeCAD.ActiveDocument.recompute()

Line4 = Draft.move(Line1, FreeCAD.Vector(-500, 1000, 0), copy=True)
Line5 = Draft.move(Line2, FreeCAD.Vector(-500, 1000, 0), copy=True)
Pipe4 = Arch.makePipe(Line4, 100)
Pipe5 = Arch.makePipe(Line5, 100)
FreeCAD.ActiveDocument.recompute()

Conn3 = Arch.makePipeConnector([Pipe4, Pipe5], radius=400)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Pipe.svg Tubo Pagina precedente:
Pagina successiva: Materiali Arch CompSetMaterial.png Arrow-right.svg